summaryrefslogtreecommitdiffstats
path: root/libraries/tbb
diff options
context:
space:
mode:
author powtrix2012-02-20 23:25:13 +0100
committer Erik Hanson2012-03-29 17:16:24 +0200
commite6f1ecf787fcc2e266db623f829e67f3295510af (patch)
treeb9d7d21b498415c9ecc5f48c9391551ee99fb194 /libraries/tbb
parentc13b3246d8ad41711acd353cfc77b2cf201e367d (diff)
downloadslackbuilds-e6f1ecf787fcc2e266db623f829e67f3295510af.tar.gz
libraries/tbb: Added (Intel Threading Building Blocks)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'libraries/tbb')
-rw-r--r--libraries/tbb/README8
-rw-r--r--libraries/tbb/slack-desc19
-rw-r--r--libraries/tbb/tbb.SlackBuild74
-rw-r--r--libraries/tbb/tbb.info10
4 files changed, 111 insertions, 0 deletions
diff --git a/libraries/tbb/README b/libraries/tbb/README
new file mode 100644
index 0000000000..bf290f2a4e
--- /dev/null
+++ b/libraries/tbb/README
@@ -0,0 +1,8 @@
+Intel Threading Building Blocks for Open Source
+
+Intel(r) Threading Building Blocks (Intel TBB) offers a rich and complete
+approach to expressing parallelism in a C++ program. It is a library that
+helps you take advantage of multi-core processor performance without having
+to be a threading expert. Intel TBB is not just a threads-replacement library.
+It represents a higher-level, task-based parallelism that abstracts platform
+details and threading mechanisms for scalability and performance.
diff --git a/libraries/tbb/slack-desc b/libraries/tbb/slack-desc
new file mode 100644
index 0000000000..720a412bd3
--- /dev/null
+++ b/libraries/tbb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+tbb: tbb (Intel Threading Building Blocks)
+tbb:
+tbb: Intel TBB offers a rich and complete approach to expressing
+tbb: parallelism in a C++ program. It is a library that helps you take
+tbb: advantage of multi-core processor performance without having to be
+tbb: a threading expert. Intel TBB is not just a threads-replacement
+tbb: library. It represents a higher-level, task-based parallelism that
+tbb: abstracts platform details and threading mechanisms for scalability
+tbb: and performance.
+tbb:
+tbb: Home page: http://threadingbuildingblocks.org/
diff --git a/libraries/tbb/tbb.SlackBuild b/libraries/tbb/tbb.SlackBuild
new file mode 100644
index 0000000000..5a1d0c59cc
--- /dev/null
+++ b/libraries/tbb/tbb.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for tbb
+# Written by powtrix (@gmail.com)
+
+PRGNAM=tbb
+VERSION=${VERSION-4.0u2}
+SRCVERSION=${SRCVERSION:-40_20111130oss}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC -march=core2"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG $PRGNAM${SRCVERSION}
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM${SRCVERSION}_src.tgz
+cd $PRGNAM${SRCVERSION}
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+mv build/linux_*_release/\
+{libtbb.so{,.2},libtbbmalloc.so{,.2},libtbbmalloc_proxy.so{,.2}} \
+ $PKG/usr/lib${LIBDIRSUFFIX}
+
+mv include $PKG/usr
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2>/dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES COPYING README doc \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/tbb/tbb.info b/libraries/tbb/tbb.info
new file mode 100644
index 0000000000..034ad914e5
--- /dev/null
+++ b/libraries/tbb/tbb.info
@@ -0,0 +1,10 @@
+PRGNAM="tbb"
+VERSION="4.0u2"
+HOMEPAGE="http://threadingbuildingblocks.org"
+DOWNLOAD="http://threadingbuildingblocks.org/uploads/77/180/4.0%20update%202/tbb40_20111130oss_src.tgz"
+MD5SUM="1e6926b21e865e79772119cd44fc3ad8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="powtrix"
+EMAIL="powtrix@gmail.com"
+APPROVED="Erik Hanson"